Subject: [Capwap] Please give feedback to the text for queestion 1, Thanks you

From: young <[email-masked]>
Date: Mon, 13 Jul 2009 18:56:45 +0800

发件人: young [mailto:[email-masked]] 
发送时间: 2009年7月7日 10:02
收件人: [email-masked]'; [email-masked]; [email-masked]'
抄送: 'Yong Zhang'
主题: Could we add such text for question 1

Hi,

To close question 1, could we add some text as followed in the
CAPWAP-BASE-MIB draft:
The RFC5415 does not definitely specify whether the Base MAC Address is MUST
be included in the WTP Board Data message element. In the CAPWAP-BASE-MIB,
as it 
uses the Base MAC Address to uniquely identify each WTP, it require that 
the implementation of the CAPWAP protocol MUST carry the BASE MAC address
in the WTP Board Data message element.

Regards
Richard

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 
发送时间: 2009年7月2日 18:17
收件人: [email-masked]
主题: Capwap Digest, Vol 44, Issue 2

Send Capwap mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	http://lists.frascone.com/mailman/listinfo/capwap
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of Capwap digest..."

Today's Topics:

   1. How about we keep the question 1 open and close other two? (young)

----------------------------------------------------------------------

Message: 1
Date: Wed, 01 Jul 2009 19:43:55 +0800
From: young <[email-masked]>
Subject: [Capwap] How about we keep the question 1 open and close
	other two?
To: [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=gb2312

Hi, Abhijit:

Thanks for update.
How about we keep the question 1 open and close other two?

1. WTP Id:
[ Abhijit ] I agree with your assertion below that the Base MAC Address is
the better choice.  If you can find a creative way to add text
to support this, that will be great.
[ Richard ] Keep it open. 
I and Yong would put text in the mailing list to go on the discussion.

2. Model Number issue:  
[ Abhijit ]	I'm okay with using Model number for preconfiguration prior
to
AP join. However, I still assert that folks will use the WTP Descriptor
to figure out the number of active radios after the AP joins. So, it's not
clear to me how valuable this feature is. But I'm okay with leaving it as
is.
[ Richard ]so we close this one. 
I felt the active number of radios in the WTP Descriptor
is not very useful, it may help AC to judge which WTP's join request should
be
Accepted in the high priority. For example, the WTP with more active radio
is high priority.  From the radio configuration perspective, the change
state event request is more useful, it could help AC to judge which radio is
operable, 
and should download the radio configuration to it. 

3.  Relationship to IF-MIB
     I still think MUST is too strong a requirement. But if the WG wants
to leave it That way, I would go along with it.  Can we find out what the WG
wants ?
[ Richard ]So we close this one.
I suggest you check Dan and David's comments to this question. 

Regards
Richard

-----????-----
???: [email-masked] [mailto:[email-masked]] 
????: 2009?7?1? 18:17
???: [email-masked]
??: Capwap Digest, Vol 44, Issue 1

Send Capwap mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	http://lists.frascone.com/mailman/listinfo/capwap
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of Capwap digest..."

Today's Topics:

   1. Re: I updated the comment to the issue: WTP Id Issue
      (Abhijit Choudhury (achoudhu))

----------------------------------------------------------------------

Message: 1
Date: Tue, 30 Jun 2009 23:56:49 -0700
From: "Abhijit Choudhury (achoudhu)" <[email-masked]>
Subject: Re: [Capwap] I updated the comment to the issue: WTP Id Issue
To: "Richard" <[email-masked]>, "Dan Romascanu"
	<[email-masked]>,	<[email-masked]>
Cc: Yong Zhang <[email-masked]>
Message-ID:
	
<[email-masked]>
Content-Type: text/plain;	charset="us-ascii"

Hi Richard,

1. WTP Id:
	I agree with your assertion below that the Base MAC Address is
the 
	the better choice.  If you can find a creative way to add text
to support
	this, that will be great.

2. Model Number issue:  
	I'm okay with using Model number for preconfiguration prior to
AP join. 
	However, I still assert that folks will use the WTP Descriptor
to figure
      out the number of active radios after the AP joins. So, it's not
clear to
      me how valuable this feature is. But I'm okay with leaving it as
is.

3.  Relationship to IF-MIB
     I still think MUST is too strong a requirement. But if the WG wants
to leave it
     That way, I would go along with it.  Can we find out what the WG
wants ?

Thanks,
Abhijit

-----Original Message-----
From: Richard [mailto:[email-masked]] 
Sent: 2009-06-26 18:46
To: Abhijit Choudhury (achoudhu); Dan Romascanu; [email-masked]
Cc: Yong Zhang
Subject: I updated the comment to the issue: WTP Id Issue

Hi, Abhijit:

I just discussed the WTP Id issues with my coeditor Yong again by Skype.
I updated the comments to the issues, kindly let me know your opinion.

To Dan: Kindly also let me know your opinion, thanks.

1.  WTP Id issues
[Abhijit] WTP Profile.  While it's possible to use the
(VendorId+SerialNumber), I really suspect that a MAC address is more
appropriate and something most vendors will end up using. To your point
about the Base MAC Address not being a MUST, RFC 5415 seems ambiguous
about it.
Note that while the RFC specifically sates the other types MUST or MAY
be included, it doesn't say so for Base MAC Address.  It says the Base
Mac Address may be assigned but says nothing about whether it MUST or
MAY be included in the Board Data Type.
Another option is the Base BSSID. Again although the spec only says it's
recommended, I suspect most vendors will have it available.
Could we add text to the effect that one can use either the
(VendorId+SerialNumber) as you suggested or the Base MAC Address or Base
BSSID if it's available?

[Richard ] As we could not offer two options (BAC Mac or
(VendorId+SerialNumber))
to identify a WTP when we design the MIB, we have to choose one way  
between
these two.  For either of them,  it  has some problem.
Suppose we use (VendorId+SerialNumber)), the good thing is that they  
are must be
carried in the capwap message. The problem is that the Index to a WTP  
becomes two
(Used be one).  It is not good to the MIB design.
Suppose we use the base MAC, the good thing is that keep the index to  
a WTP simple.
The problem is that RFC5415 does not clearly say whether the field is  
MUST or MAY.

 From the MIB design perspective, it would be better to use "BASE Mac"  
and hope it
is feasible to add some text in the MIB draft and ask that "base MAC  
address" field is must
have.

BTW,  what's your opinion to other two issue?

Regards
Richard

------------------------------

_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

End of Capwap Digest, Vol 44, Issue 1
*************************************

------------------------------

_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

End of Capwap Digest, Vol 44, Issue 2
*************************************

_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

---

From: "Abhijit Choudhury (achoudhu)" <[email-masked]>
Date: Mon, 20 Jul 2009 14:48:59 -0700

Currently, as per RFC5415, the only MUST elements being sent by the WTP are VendorId and Serial Number.
I really think it makes sense to use the Base MAC Address for the WTP_Id. But the Base MAC Address is 
not a MUST item in the base spec - although the wording is a little ambiguous.

The question is: is there any other precedence where something that's potentially optional in the base spec, 
is deemed mandatory to support the MIB ?  I seem to recall something similar in the DHCP spec... 

Thanks,
Abhijit

-----Original Message-----
From: young [mailto:[email-masked]] 
Sent: 2009-07-13 03:57
To: 'young'; [email-masked]; [email-masked]; Abhijit Choudhury (achoudhu)
Cc: 'Yong Zhang'
Subject: Please give feedback to the text for queestion 1, Thanks you

Hi,

Regards
Richard

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 
发送时间: 2009年7月2日 18:17
收件人: [email-masked]
主题: Capwap Digest, Vol 44, Issue 2

Today's Topics:

Message: 1

Hi, Abhijit:

Thanks for update.

1. WTP Id:

2. Model Number issue:  

Regards
Richard

-----????-----

Today's Topics:

Message: 1

Hi Richard,

1. WTP Id:

2. Model Number issue:  

Thanks,
Abhijit

-----Original Message-----
From: Richard [mailto:[email-masked]] 
Sent: 2009-06-26 18:46
To: Abhijit Choudhury (achoudhu); Dan Romascanu; [email-masked]
Cc: Yong Zhang
Subject: I updated the comment to the issue: WTP Id Issue

Hi, Abhijit:

1.  WTP Id issues

Regards
Richard

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 21 Jul 2009 11:47:05 +0200

We cannot mandate something that is optional in the CAPWAP specification to be mandatory for implementation for MIB support reasons. I personally do not remember such precedents, if you know them please point us to them to see how they solved and described their solutions. 

Regards,

Dan

> From: Abhijit Choudhury (achoudhu) [mailto:[email-masked]] 
> Sent: Tuesday, July 21, 2009 12:49 AM
> To: young; [email-masked]; Romascanu, Dan (Dan)
> Cc: Yong Zhang
> Subject: RE: Please give feedback to the text for queestion 
> 1, Thanks you
> 
> Currently, as per RFC5415, the only MUST elements being sent 
> by the WTP are VendorId and Serial Number.
> I really think it makes sense to use the Base MAC Address for 
> the WTP_Id. But the Base MAC Address is not a MUST item in 
> the base spec - although the wording is a little ambiguous.
> 
> The question is: is there any other precedence where 
> something that's potentially optional in the base spec, is 
> deemed mandatory to support the MIB ?  I seem to recall 
> something similar in the DHCP spec... 
> 
> Thanks,
> Abhijit
>  
>  
>

---

From: Dorothy Stanley <[email-masked]>
Date: Tue, 28 Jul 2009 05:51:14 -0700

All,

The Base MAC address is not indicated as either mandatory or optional. The
current text in 5415 says

     4 -   Base MAC Address: The WTP's Base MAC address, which MAY be

            assigned to the primary Ethernet interface.

When it should say either

      4 -   Base MAC Address: The WTP's Base MAC address *MUST be included in*

            *the WTP Board Data message element* and MAY be

            assigned to the primary Ethernet interface.

Or

      4 -   Base MAC Address: The WTP's Base MAC address *MAY be included in*

            *the WTP Board Data message element* and MAY be

            assigned to the primary Ethernet interface.

The omission of indicating "MAY or MUST be included" is an error in the base
spec, and should be noted as such. Each of the other Board Data Types
indicates either a MUST or MAY for inclusion, and the prior text states
"...and each of these types identify whether
their presence is mandatory or optional".

My initial inclination is to go ahead and use the WTP Base Mac Address as
the WTP Index in the MIB,and add a note to the MIB document
with a reference to  5415 section 4.6.40, and the known errata item. The
missing specification in 5415 can be carried forward as an errata item, with
agreement that the fix is "MUST be included".
Thanks,

Dorothy

2009/7/21 Romascanu, Dan (Dan) <[email-masked]>

> We cannot mandate something that is optional in the CAPWAP specification to
> be mandatory for implementation for MIB support reasons. I personally do not
> remember such precedents, if you know them please point us to them to see
> how they solved and described their solutions.
>
> Regards,
>
> Dan
>
>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 28 Jul 2009 14:59:40 +0200

Are there existing implementations out there? If there are what do they do? 
 
Dan

________________________________

	From: Dorothy Stanley [mailto:[email-masked]] 
	Sent: Tuesday, July 28, 2009 3:51 PM
	To: Romascanu, Dan (Dan)
	Cc: Abhijit Choudhury (achoudhu); young; [email-masked]; Yong Zhang
	Subject: Re: [Capwap] Please give feedback to the text for queestion 1, Thanks you

	All,

	The Base MAC address is not indicated as either mandatory or optional. The current text in 5415 says

	      4 -   Base MAC Address: The WTP's Base MAC address MUST be included in
	            the WTP Board Data message element and MAY be
	            assigned to the primary Ethernet interface.
	Or
	
	      4 -   Base MAC Address: The WTP's Base MAC address MAY be included in
	            the WTP Board Data message element and MAY be
	            assigned to the primary Ethernet interface.
	The omission of indicating "MAY or MUST be included" is an error in the base spec, and should be noted as such. Each of the other Board Data Types indicates either a MUST or MAY for inclusion, and the prior text states "...and each of these types identify whether
	their presence is mandatory or optional".

	My initial inclination is to go ahead and use the WTP Base Mac Address as the WTP Index in the MIB,and add a note to the MIB document  
	with a reference to  5415 section 4.6.40, and the known errata item. The missing specification in 5415 can be carried forward as an errata item, with
	agreement that the fix is "MUST be included".

	Thanks, 

	Dorothy

		
		Regards,
		
		Dan

---

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Tue, 28 Jul 2009 09:31:27 -0700

I’m not against this – it is simply unconventional, but probably the best and simplest way to address the issue.

PatC

From: Dorothy Stanley [mailto:[email-masked]] 
Sent: Tuesday, July 28, 2009 5:51 AM
To: Romascanu, Dan (Dan)
Cc: young; [email-masked]; Yong Zhang
Subject: Re: [Capwap] Please give feedback to the text for queestion 1,Thanks you

All,

Thanks,

Dorothy

Regards,

Dan